#ifndef Expand_Input_H
#define Expand_Input_H
#include "../Global.h"
#include <QLineEdit>
class Expand_Input : public QLineEdit {
public:
    explicit Expand_Input(QWidget *parent = nullptr);
    QFont font;
protected:
    void paintEvent(QPaintEvent *event) override;
    void resizeEvent(QResizeEvent *event) override;
    void focusInEvent(QFocusEvent *event) override;
    void focusOutEvent(QFocusEvent *event) override;

    void keyPressEvent(QKeyEvent *event) override;
};
#endif



